2019-10-19 00:49 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001130FSSCPFREDpublic2012-01-09 13:06
ReporterARSPR 
Assigned Totaylor 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformP4 2.8 HT - 1.5GB - 7800GSOSWindows XPOS VersionSP2
Product Version3.6.9 
Target VersionFixed in Version3.6.9 
Summary0001130: TBL Info in Ship Editor doesn't show tbm additions
DescriptionWhile digging about 0001129, I've opened "Final Evacuation" (CH2-12.fs2) from "Into the Depths of Hell 2" mod. And I've seen that GTI Acheron "Sentry 2" TBL Info is empty.

I suppose that this happens because GTI Acheron class is added through a modular table (ItDoH2-shp.tbm) instead of a new Ship.tbl.

Another example is GTF Myrmidon which is added "$Allowed PBanks:("Malcifer" "EMP Cannon"). But this info isn't shown through TBL Info Button.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007053

taylor (administrator)

It may not be the prettiest thing in the world, but I've got a fix for this. Actually, a fix for a couple of bugs I found in the process as well.

What I have it doing is just going: list anything in ships.tbl, then list anything that if finds in any *-shp.tbm. It will separate the stuff with a "-- tbl name ------------" type of deal. Works pretty well I think.

Two other bugs that I found in the same code though: 1) it didn't strip off the @ symbol like the normal ship parsing code does, so it didn't list those ships since the name doesn't match exactly, and 2) it didn't strip trailing whitespace so the ship name wouldn't match if it had an extra space or tab after it.

So, is this acceptable?
(I don't use FRED, which is why I want to make sure this is good enough)

~0007054

Goober5000 (administrator)

If the @ and \s* bugs are fixed, that should be acceptable. :)

~0007055

taylor (administrator)

Fixered.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2006-10-29 04:46 ARSPR New Issue
2006-11-01 08:22 taylor Note Added: 0007053
2006-11-01 08:22 taylor Status new => assigned
2006-11-01 08:22 taylor Assigned To => taylor
2006-11-01 08:34 Goober5000 Note Added: 0007054
2006-11-01 09:52 taylor Status assigned => resolved
2006-11-01 09:52 taylor Fixed in Version => 3.6.9
2006-11-01 09:52 taylor Resolution open => fixed
2006-11-01 09:52 taylor Note Added: 0007055
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 fs2_open_3_6_9 r3677
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn fs2_open_3_6_9 r3677
+Issue History